import { __assign, __extends } from "tslib";
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import BaseTab from '../base/BaseTab';
var CardTab = (function (_super) {
    __extends(CardTab, _super);
    function CardTab() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.typeName = 'card';
        return _this;
    }
    CardTab.prototype.render = function () {
        var _a = this.props, actived = _a.actived, disabled = _a.disabled, children = _a.children;
        return (_jsx("div", __assign({ role: "tab", className: this.tabsCls, "aria-disabled": disabled, "aria-selected": actived, onClick: this.onClick, "data-zv": 'v10.0.11' }, { children: _jsxs("div", __assign({ className: "zent-tabs-tab-inner", "data-zv": 'v10.0.11' }, { children: [children, this.renderDelOperater()] }), void 0) }), void 0));
    };
    return CardTab;
}(BaseTab));
export default CardTab;
